# Uses of Enum Class
java.io.ObjectInputFilter.Status

Packages that use ObjectInputFilter.Status
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

- ## Uses of ObjectInputFilter.Status in java.io

  Subclasses with type arguments of type ObjectInputFilter.Status in java.io
  Modifier and Type
  Class
  Description
  `static enum`
  `ObjectInputFilter.Status`
  The status of a check on the class, array length, number of references, depth, and stream size.
  Methods in java.io that return ObjectInputFilter.Status
  Modifier and Type
  Method
  Description
  `ObjectInputFilter.Status`
  ObjectInputFilter.`checkInput(ObjectInputFilter.FilterInfo filterInfo)`
  Check the class, array length, number of object references, depth, stream size, and other available filtering information.
  `static ObjectInputFilter.Status`
  ObjectInputFilter.Status.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ObjectInputFilter.Status[]`
  ObjectInputFilter.Status.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.io with parameters of type ObjectInputFilter.Status
  Modifier and Type
  Method
  Description
  `static ObjectInputFilter`
  ObjectInputFilter.`allowFilter(Predicate<Class<?>> predicate, ObjectInputFilter.Status otherStatus)`
  Returns a filter that returns `Status.ALLOWED` if the predicate on the class is `true`.
  `static ObjectInputFilter`
  ObjectInputFilter.`rejectFilter(Predicate<Class<?>> predicate, ObjectInputFilter.Status otherStatus)`
  Returns a filter that returns `Status.REJECTED` if the predicate on the class is `true`.